/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <gnome.h>

#include "Root_Interface.h"
#include "About_Interface.h"
#include "../Declaration_Constante.h"
#include "../Image.h"
#include "../main.h"

void on_about_destroy (GtkObject * object, gpointer user_data)
{
	create_about ();
}

void create_about (void)
{
	gchar    *texte = NULL;

		const gchar *authors[] = {
		"Developer :\n Thierry Lagarde <tlagarde@users.sourceforge.net>",
		"       Nantes, France\n",
		"Beta testor : \nSébastien Desbrosses<sd44@free.fr>\n\n" "Logo :",
		" Rhandros Dembicki <rhandros@yellowicon.com>\n",
		"Icons :",
		" Crystal GT : http://www.linuxcult.com/forum/crystal.php",
		" nuvoX  : http://www.kde-look.org/content/show.php?content=38467\n",
		"Other",
		"Nessus : www.nessus.org",
		NULL
	};
	const gchar *documenters[] = {
		"French :",
		"   S\303\251bastien BATARD <fazer.sb@free.fr>",
		"   Jean-Luc BIORD <http://qtfr.org>",
		NULL
	};

	gchar     License[] = "AutoScan is a utility for network exploration\nCopyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of GNU GPL version 2.\nSee http://www.fsf.org for more information.";

	gchar    *translators = _("translator_credits");
	GdkPixbuf *about_logo_pixbuf;
	GdkPixbuf *about_icon_pixbuf;

	
	if (!strcmp (translators, "translator_credits"))
		translators = NULL;
	about_logo_pixbuf = Chargement_Image (PATH_ICONE "Logo.png", COULEUR);
	about = gnome_about_new (VERSION_AUTOSCAN, NULL, Info_Arch, License, authors, documenters, translators, about_logo_pixbuf);
	
	gtk_container_set_border_width (GTK_CONTAINER (about), 5);
	about_icon_pixbuf = Chargement_Image (PATH_ICONE "AutoScan.png", COULEUR);
	if (about_icon_pixbuf) {
		gtk_window_set_icon (GTK_WINDOW (about), about_icon_pixbuf);
		gdk_pixbuf_unref (about_icon_pixbuf);
	}
	gtk_window_set_type_hint (GTK_WINDOW (about), GDK_WINDOW_TYPE_HINT_DIALOG);
	gtk_window_set_transient_for (GTK_WINDOW (about), GTK_WINDOW (window_root));
	g_signal_connect ((gpointer) about, "destroy", G_CALLBACK (on_about_destroy), NULL);
}
